> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bunny.net/llms.txt
> Use this file to discover all available pages before exploring further.

# List of all DDoS Enum Mappings



## OpenAPI

````yaml https://api.bunny.net/shield/docs/v1/swagger.json get /shield/ddos/enums
openapi: 3.0.4
info:
  title: Bunny Shield API
  description: >-
    Bunny.net API for Bunny Shield (WAF, DDoS, Rate Limiting, Bot Detection,
    Access Lists & API Guardian).
  version: v1
servers:
  - url: https://api.bunny.net
security: []
paths:
  /shield/ddos/enums:
    get:
      tags:
        - DDoS
      summary: List of all DDoS Enum Mappings
      operationId: Get DDoS Enums
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/GetWafEnumsResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/GetWafEnumsResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/GetWafEnumsResponse'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/UnauthorizedResult'
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResult'
            text/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResult'
        '500':
          description: Internal Server Error
components:
  schemas:
    GetWafEnumsResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/WafMappedEnumList'
          nullable: true
      additionalProperties: false
    UnauthorizedResult:
      type: object
      properties:
        statusCode:
          type: integer
          format: int32
      additionalProperties: false
    WafMappedEnumList:
      type: object
      properties:
        enumName:
          type: string
          nullable: true
        enumValues:
          type: array
          items:
            $ref: '#/components/schemas/WafMappedEnum'
          nullable: true
      additionalProperties: false
    WafMappedEnum:
      type: object
      properties:
        optionalInput:
          type: boolean
          nullable: true
        isPremium:
          type: boolean
        name:
          type: string
          nullable: true
        value:
          type: integer
          format: int32
        supportedValues:
          $ref: '#/components/schemas/WafSupportedValues'
        recommendedOperator:
          $ref: '#/components/schemas/WafRecommendedOperator'
      additionalProperties: false
    WafSupportedValues:
      type: object
      properties:
        values:
          type: array
          items:
            type: string
          nullable: true
        editable:
          type: boolean
      additionalProperties: false
    WafRecommendedOperator:
      type: object
      properties:
        operator:
          $ref: '#/components/schemas/WafRuleOperatorType'
        values:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false
    WafRuleOperatorType:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
        - 12
        - 14
        - 15
        - 17
        - 18
      type: integer
      description: |-
        0 = BEGINSWITH
        1 = ENDSWITH
        2 = CONTAINS
        3 = CONTAINSWORD
        4 = STRMATCH
        5 = EQ
        6 = GE
        7 = GT
        8 = LE
        9 = LT
        12 = WITHIN
        14 = RX
        15 = STREQ
        17 = DETECTSQLI
        18 = DETECTXSS
      format: int32
      x-enum-varnames:
        - BEGINSWITH
        - ENDSWITH
        - CONTAINS
        - CONTAINSWORD
        - STRMATCH
        - EQ
        - GE
        - GT
        - LE
        - LT
        - WITHIN
        - RX
        - STREQ
        - DETECTSQLI
        - DETECTXSS

````